Support » Plugin: Postie » [Plugin: Postie] version 1.4.3 can trigger a Suhosin rule

  • Resolved juggledad

    (@juggledad)


    Postie version 1.4.3 is causing a Suhosin rule to trigger at my host causing my IP to be shutout for 2 hours. The log shows

    Jan 18 07:14:55 sl-507-11 suhosin[149627]: ALERT – script tried to increase memory_limit to 268435456 bytes which is above the allowed value (attacker ‘xx.xx.xx.101’, file ‘/home/mysite/public_html/site1/wp-admin/admin.php’, line 109)
    Jan 18 07:14:56 sl-507-11 suhosin[149642]: ALERT – script tried to disable memory_limit by setting it to a negative value -1 bytes which is not allowed (attacker ‘xx.xx.xx.101’, file ‘/home/mysite/public_html/site1/wp-content/plugins/postie/postie-functions.php’, line 7)

    and line 7 is

    ini_set(‘memory_limit’, -1);

    It would be nice to see this as a settable option. I have currently commented out that line which seems to work.

    http://wordpress.org/extend/plugins/postie/

  • The topic ‘[Plugin: Postie] version 1.4.3 can trigger a Suhosin rule’ is closed to new replies.